%define name eggdrop
%define version 1.6.15
%define release 3mdk

Name: %name
Summary: Eggdrop is an IRC bot, written in C.
Version: %version
Release: %release
Source: ftp://ftp.eggheads.org/pub/eggdrop/GNU/%{name}%{version}.tar.bz2
Patch0: eggdrop1.6.15-lib64.patch.bz2
Patch1: eggdrop1.6.15-64bit-fixes.patch.bz2
Group: Networking/IRC
BuildRequires: tcl perl
URL: http://www.eggheads.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: GPL
Prefix: %{_libdir}/eggdrop

%description
Eggdrop is an IRC bot, written in C.  If you don't know what IRC is,
this is probably not whatever you're looking for!  Eggdrop, being a
 bot, sits on a channel and takes protective measures: to keep the
channel from being taken over (in the few ways that anything CAN),

to recognize banished users or sites and reject them, to recognize
privileged users and let them gain ops, etc.

%prep
%setup -q -n eggdrop%{version}
%patch0 -p1 -b .lib64
%patch1 -p1 -b .64bit-fixes
autoconf
  
%build
#any optimizations on PPC break bots
%ifnarch ppc
export CFLAGS="$RPM_OPT_FLAGS"
%endif
./configure --prefix=%{_prefix} --libdir=%{_libdir}

make config

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}
mkdir -p $RPM_BUILD_ROOT%{_mandir}

make install prefix=$RPM_BUILD_ROOT/%{prefix}
cd $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_libdir}/eggdrop/doc/man1/ $RPM_BUILD_ROOT%{_mandir}

#rpm installation complains otherwise due to rpm looking up the executables..
perl -pi -e s":/path/to/executable/eggdrop:%{_libdir}/eggdrop/eggdrop:" $RPM_BUILD_DIR/eggdrop%{version}/eggdrop.conf
cp -fR $RPM_BUILD_DIR/eggdrop%{version}/eggdrop.conf $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/
#cp -Rf $RPM_BUILD_DIR/eggdrop%{version}/eggdrop.simple.conf $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/
cp -Rf $RPM_BUILD_DIR/eggdrop%{version}/scripts/botchk $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/
#cp -fR $RPM_BUILD_DIR/eggdrop%{version}/eggdrop.advanced.conf $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/
#cp -fR $RPM_BUILD_DIR/eggdrop%{version}/eggdrop.complete.conf $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/
#grumble rpm grumble wanted to require /path/to/eggdrop
#bzip2 -9f $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/eggdrop.conf.dist

rm -rf $RPM_BUILD_ROOT%{_libdir}/eggdrop/filesys
cp -Rf $RPM_BUILD_ROOT%{_libdir}/eggdrop/doc/* $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/
rm -rf $RPM_BUILD_ROOT%{_libdir}/eggdrop/doc/
cp $RPM_BUILD_ROOT%{_libdir}/eggdrop/README $RPM_BUILD_ROOT%{_docdir}/eggdrop-%{version}/

# removing uneeded stuff
rm -rf %{buildroot}%{_libdir}/eggdrop/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/eggdrop
%dir %{_libdir}/eggdrop/language
%dir %{_libdir}/eggdrop/modules-%{version}
%dir %{_libdir}/eggdrop/help
%dir %{_libdir}/eggdrop/help/msg
%dir %{_libdir}/eggdrop/help/set
%dir %{_libdir}/eggdrop/scripts
%dir %{_libdir}/eggdrop/logs
%dir %{_libdir}/eggdrop/text
%{_libdir}/eggdrop/language/*.lang
%{_libdir}/eggdrop/text/*
%{_libdir}/eggdrop/logs/*
%{_libdir}/eggdrop/modules-%{version}/*.so
%{_libdir}/eggdrop/eggdrop-%{version}
%{_libdir}/eggdrop/eggdrop
%{_libdir}/eggdrop/help/*.help
%{_libdir}/eggdrop/help/msg/*.help
%{_libdir}/eggdrop/help/set/*.help
%{_libdir}/eggdrop/scripts/CONTENTS
%{_libdir}/eggdrop/scripts/*.tcl
%{_libdir}/eggdrop/scripts/botchk
%{_libdir}/eggdrop/scripts/autobotchk
%{_libdir}/eggdrop/scripts/weed
%{_libdir}/eggdrop/eggdrop.conf
%{_mandir}/man1/*

%doc %{_docdir}/*
%doc %{_libdir}/eggdrop/modules

%changelog
* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.15-3mdk
- lib64 & some 64-bit fixes

* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.15-2mdk
- from Pekka Savola <pekkas@netcore.fi>:
	o fix eggdrop.conf run-path so installing the RPM works
	o also install the eggdrop symlink, not just the version-specific binary
	o use make not %%make to enable build on Red Hat Linux. (peroyvind: it doesn't
	  support parallell make anyways)

* Fri May 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.6.15-1mdk
- version 1.6.15
- rm -rf $RPM_BUILD_ROOT in correct stage
- actually use optimize flags
- configure with libdir
- minor cleanups

* Mon Feb  3 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.6.13-2mdk
- change url

* Mon Jan 13 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.6.13-1mdk
- version 1.6.13

* Wed Jul 24 2002 damien <dchaumette@mandrakesoft.com> 1.6.10-1mdk
- version 1.6.10
- remove tcl/tk version checking

* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.6-5mdk
- Don't make eggdrop require on a versionless tcl.
- Don't run aclocal and autoconf (normally required for a patch to
  configure), because it seems broke. The patch itself contains both
  patches to aclocal.m4 and configure.

* Wed Oct 31 2001 Stew Benedict <sbenediict@mandrakesoft.com> 1.6.6-4mdk
- no optimizations for PPC build, else broken bots

* Tue Oct 30 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.6.6-3mdk
- clean spec file removed useless ./configure

* Tue Oct 25 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 1.6.6-2mdk
- Rebuild for rpmlint.

* Thu Aug 30 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.6-1mdk
- 1.6.6

* Fri Apr 27 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.4-1mdk
- 1.6.4
- removed now useless patch
 
* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.2-3mdk
- updated to new version + patch

* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.6.1-2mdk
- bz2'ed man page

* Fri Nov 24 2000 Geoffrey Lee <sniltalk@mandrakesoft.com> 1.6.1-1mdk
- new and shiny source.
- fix the build for the new version.
- short_circuit_me_babe.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.4-2mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-1mdk
- Release 1.4.4
- clean spec

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-2mdk
- BM + macroszification

* Wed Apr 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.4.3-1mdk
- big release 1.3.23 -> 1.4.3
- many bug fixes 
- cleanup spec

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.23-5mdk
- fix group.
- spec cleanup.
- SMP build/check

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Forgot defattr
 

* Tue Nov 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update bzip and SMP build macros
- Add botchk to docs

* Sat Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add default langfile patch 
- Added a few posible optimizations i missed

* Fri Jul 9 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Initial rpm
